import SequenceEvaluator from "./SequenceEvaluator";

export default interface SequenceEvaluatorRepository {

    getSequenceEvaluatorBySessionId(sessionId: string): Promise<SequenceEvaluator>;
    createSequenceEvaluator(name: string, sessionId: string, stepList: string[]): Promise<SequenceEvaluator>;
    updateSequenceEvaluator(name: string, sessionId: string, stepList: string[]): Promise <void>;
    removeSequenceEvaluator(sessionId): Promise<void>;

}
